        subroutine ENDMON
      include 'SIZE.INC'
      include 'GLOBAL.INC'
      include 'LOCAL.INC'
      include 'UNITS.INC'
      include 'LOCAL1.INC'
        real YTEMP, YTEMP2
        integer I, J, K
5000  format (1X,A3,1PG9.2,3(1X,G9.2),2X,G9.2,1X,G9.2)
      FLUXCT = FLUXCT+1.0
      do 130 K = 1, KCHEM
         do 100 I = 1, 6
            Z(I,K) = 0.0
100      continue
         do 120 J = 1, KOUNT
            YTEMP = YSUM(J,K)/YMONCT
            YTEMP2 = YTEMP*WATVOL(J)
            YEXPO(K) = YEXPO(K)+EXPOKL(J,K)*YTEMP
            YHYDR(K) = YHYDR(K)+HYDRKL(J,K)*YTEMP2
            YRED(K) = YRED(K)+REDKL(J,K)*YTEMP2
            if (TYPEG(J).eq.'B') go to 110
            YBIOW(K) = YBIOW(K)+BIOLKL(J,K)*YTEMP2
            YOXID(K) = YOXID(K)+OXIDKL(J,K)*YTEMP2
            YPHOT(K) = YPHOT(K)+PHOTKL(J,K)*YTEMP2
            YS1O2(K) = YS1O2(K)+S1O2KL(J,K)*YTEMP2
            YVOLK(K) = YVOLK(K)+VOLKL(J,K)*YTEMP2
            Z(1,K) = Z(1,K)+YTEMP*(ALPHA(29,J,K)+ALPHA(31,J,K))
            Z(2,K) = Z(2,K)+ALPHA(30,J,K)*YTEMP/SEDCOL(J)
            Z(5,K) = Z(5,K)+YTEMP2*1.0E-06
            go to 120
110         continue
            YBIOS(K) = YBIOS(K)+BIOLKL(J,K)*YTEMP2
            if (TYPEG(J-1).eq.'B') YGWAT(K) = YGWAT(K)+EXPOKL(J,K)*YTEMP
            Z(3,K) = Z(3,K)+YTEMP*(ALPHA(29,J,K)+ALPHA(31,J,K))
            Z(4,K) = Z(4,K)+ALPHA(30,J,K)*YTEMP/SEDCOL(J)
            Z(6,K) = Z(6,K)+YTEMP2*1.0E-06
120      continue
         Z(1,K) = Z(1,K)/KOUNTW
         Z(2,K) = Z(2,K)/KOUNTW
         Z(3,K) = Z(3,K)/KOUNTS
         Z(4,K) = Z(4,K)/KOUNTS
         write (RPTLUN(MACHNO),5000) NAMONG(NDAT),(Z(I,K),I=1,6)
130   continue
      do 150 K = 1, KCHEM
         do 150 J = 1, KOUNT
            YTOT(1,J,K) = YTOT(1,J,K)+YSUM(J,K)
            YTOT(2,J,K) = YTOT(2,J,K)+YSUM(J,K)*WATVOL(J)/SEDMSL(J)
            YTOT(3,J,K) = YTOT(3,J,K)+YSUM(J,K)*WATVOL(J)*1.0E-06
            do 140 I = 1, 29
               YSUMS(I,J,K) = YSUMS(I,J,K)+YSUM(J,K)*ALPHA(I,J,K)
140         continue
            YSUMS(30,J,K) = YSUMS(30,J,K)+YSUM(J,K)*ALPHA(30,J,K)/SEDCOL
     &         (J)
            YSUMS(31,J,K) = YSUMS(31,J,K)+YSUM(J,K)*ALPHA(31,J,K)
            YSUMS(32,J,K) = YSUMS(32,J,K)+YSUM(J,K)*ALPHA(32,J,K)/BIOTOL
     &         (J)
150   continue
      return
      end
